package insat.unotifier;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

import org.json.JSONException;
import org.json.JSONObject;

import insat.unotifier.util.Message;
import insat.unotifier.util.ProcessRegisterView;


public class ReceiveActivity extends Activity {
    TextView sender;
    TextView subject;
    TextView content;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_receive);
        initComponents();
        Intent intent = getIntent();
       Message message =(Message) intent.getExtras().getSerializable("message");
        new ProcessRegisterView(ReceiveActivity.this).execute(message.getIdMsg());
        sender.setText(message.getSender());

        subject.setText(message.getSubject());

        content.setText(message.getContent());
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_receive, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
    private void initComponents(){
        sender = (TextView) findViewById(R.id.sender);
        subject = (TextView) findViewById(R.id.subject);
        content = (TextView) findViewById(R.id.content);
    }
}
